Bug 1126236 - mtp-probe doesn't like /sys paths anymore.
Summary: mtp-probe doesn't like /sys paths anymore.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmtp
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 22:19 UTC by Kenneth Topp
Modified: 2014-09-23 05:04 UTC (History)
1 user (show)

Fixed In Version: libmtp-1.1.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 05:04:03 UTC


Attachments (Terms of Use)
good output (7.19 KB, text/plain)
2014-08-03 22:19 UTC, Kenneth Topp
no flags Details
output of udevadm test which is bad (6.78 KB, text/plain)
2014-08-03 22:20 UTC, Kenneth Topp
no flags Details

Description Kenneth Topp 2014-08-03 22:19:55 UTC
Created attachment 923699 [details]
good output

Description of problem:

 I plugged in a phone recently, and it stopped doing mtp popup in gnome.  I tracked it down to a needed change in libmtp's udev rules.  For whatever reason, mtp-probe stopped liking /sys paths, and prefers /dev paths.  


Version-Release number of selected component (if applicable):
[root@static rules.d]# rpm -q libusb libmtp; uname -a
libusb-0.1.5-3.fc20.x86_64
libmtp-1.1.6-2.fc20.x86_64
Linux static 3.15.8-200.fc20.x86_64 #1 SMP Fri Aug 1 00:38:50 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
[root@static rules.d]# 


How reproducible:
good:
Aug 03 18:08:42 static mtp-probe[5502]: checking bus 3, device 17: "/dev/bus/usb/003/017"
Aug 03 18:08:42 static mtp-probe[5502]: bus: 3, device: 17 was an MTP device


bad:
Aug 03 18:10:55 static mtp-probe[5658]: checking bus 3, device 17: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-14/3-14.1/3-14.1.1/3-14.1.1.2"
Aug 03 18:10:55 static mtp-probe[5658]: bus: 3, device: 17 was not an MTP device



--- old 2014-08-03 18:14:06.410311190 -0400
+++ /usr/lib/udev/rules.d/69-libmtp.rules       2014-08-03 18:13:41.142773341 -0400
@@ -1202,6 +1202,6 @@
 ATTR{idVendor}=="0b20", ATTR{idProduct}=="ddee", SYMLINK+="libmtp-%k", ENV{ID_MTP_DEVICE}="1", ENV{ID_MEDIA_PLAYER}="1"
 
 # Autoprobe vendor-specific, communication and PTP devices
-ENV{ID_MTP_DEVICE}!="1", ENV{MTP_NO_PROBE}!="1", ENV{COLOR_MEASUREMENT_DEVICE}!="1", ENV{libsane_matched}!="yes", ATTR{bDeviceClass}=="00|02|06|ef|ff", PROGRAM="mtp-probe /sys$env{DEVPATH} $attr{busnum} $attr{devnum}", RESULT=="1", SYMLINK+="libmtp-%k", ENV{ID_MTP_DEVICE}="1", ENV{ID_MEDIA_PLAYER}="1"
+ENV{ID_MTP_DEVICE}!="1", ENV{MTP_NO_PROBE}!="1", ENV{COLOR_MEASUREMENT_DEVICE}!="1", ENV{libsane_matched}!="yes", ATTR{bDeviceClass}=="00|02|06|ef|ff", PROGRAM="mtp-probe $env{DEVNAME} $attr{busnum} $attr{devnum}", RESULT=="1", SYMLINK+="libmtp-%k", ENV{ID_MTP_DEVICE}="1", ENV{ID_MEDIA_PLAYER}="1"
 
 LABEL="libmtp_rules_end"

Comment 1 Kenneth Topp 2014-08-03 22:20:40 UTC
Created attachment 923700 [details]
output of udevadm test which is bad

Comment 2 Fedora Update System 2014-08-30 19:16:34 UTC
libmtp-1.1.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libmtp-1.1.8-1.fc21

Comment 3 Fedora Update System 2014-09-01 19:45:19 UTC
Package libmtp-1.1.8-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.1.8-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9984/libmtp-1.1.8-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-23 05:04:03 UTC
libmtp-1.1.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.